- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dts_state_s Struct Reference

List of all members.

## Public Attributes
int | frame_type
int | samples_deficit
int | crc_present
int | sample_blocks
int | frame_size
int | amode
int | sample_rate
int | bit_rate
int | downmix
int | dynrange
int | timestamp
int | aux_data
int | hdcd
int | ext_descr
int | ext_coding
int | aspf
int | lfe
int | predictor_history
int | header_crc
int | multirate_inter
int | version
int | copy_history
int | source_pcm_res
int | front_sum
int | surround_sum
int | dialog_norm
int | subframes
int | prim_channels
int | subband_activity [DTS_PRIM_CHANNELS_MAX]
int | vq_start_subband [DTS_PRIM_CHANNELS_MAX]
int | joint_intensity [DTS_PRIM_CHANNELS_MAX]
int | transient_huffman [DTS_PRIM_CHANNELS_MAX]
int | scalefactor_huffman [DTS_PRIM_CHANNELS_MAX]
int | bitalloc_huffman [DTS_PRIM_CHANNELS_MAX]
int | quant_index_huffman [DTS_PRIM_CHANNELS_MAX][DTS_ABITS_MAX]
float | scalefactor_adj [DTS_PRIM_CHANNELS_MAX][DTS_ABITS_MAX]
int | subsubframes
int | partial_samples
int | prediction_mode [DTS_PRIM_CHANNELS_MAX][DTS_SUBBANDS]
int | prediction_vq [DTS_PRIM_CHANNELS_MAX][DTS_SUBBANDS]
int | bitalloc [DTS_PRIM_CHANNELS_MAX][DTS_SUBBANDS]
int | transition_mode [DTS_PRIM_CHANNELS_MAX][DTS_SUBBANDS]
int | scale_factor [DTS_PRIM_CHANNELS_MAX][DTS_SUBBANDS][2]
int | joint_huff [DTS_PRIM_CHANNELS_MAX]
int | joint_scale_factor [DTS_PRIM_CHANNELS_MAX][DTS_SUBBANDS]
int | downmix_coef [DTS_PRIM_CHANNELS_MAX][2]
int | dynrange_coef
int | high_freq_vq [DTS_PRIM_CHANNELS_MAX][DTS_SUBBANDS]
double | lfe_data [2 *DTS_SUBSUBFAMES_MAX *DTS_LFE_MAX *2]
int | lfe_scale_factor
double | subband_samples_hist [DTS_PRIM_CHANNELS_MAX][DTS_SUBBANDS][4]
double | subband_fir_hist [DTS_PRIM_CHANNELS_MAX][512]
double | subband_fir_noidea [DTS_PRIM_CHANNELS_MAX][64]
level_t | clev
level_t | slev
int | output
level_t | level
sample_t | bias
sample_t * | samples
int | downmixed
int | dynrnge
level_t | dynrng
void * | dynrngdata
uint32_t * | buffer_start
uint32_t | bits_left
uint32_t | current_word
int | word_mode
int | bigendian_mode
int | current_subframe
int | current_subsubframe
double | cos_mod [544]
int | debug_flag

## Detailed Description

Definition at line 32 of file dts_internal.h.

The documentation for this struct was generated from the following file:

- C:/guliverkli/src/filters/transform/mpadecfilter/dtsdec-0.0.1/libdts/dts_internal.h